#include "WORDS.h"
#include "RHYME.h"
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char** argv) {
	if (argc < 2) {
		printf("usage: main filename");
		return 0;
	}

	string str = readFile(argv[1]);
	WordList* ws = words(str);
	free(str);
	wordListToLower(ws);
	nub(ws);

	RPList rpl1 = fromWordList(ws);
	if (rpl1 != NULL) {
		RPList ptr = rpl1;
		while (ptr->tail->tail != NULL) {
			RP rp1 = spoonerism(rpl1, ptr->head);
			if (rp1 != NULL) {
				printf("%s-%s, %s-%s\n", rp1->word2, ptr->head->word1,
							 rp1->word1, ptr->head->word2);
			}
			ptr = ptr->tail;
		}
		deleteRhymePairList(rpl1);
	}

	deleteWordList(ws);

	return 0;
}
